/*
 * 武汉理工数字传播工程有限公司源代码，版权归武汉理工数字传播工程有限公司所有. 项目名称 : pcloud-common-core 创建日期 : 2017年1月4日 修改历史 : 1. [2017年1月4日]创建文件 by xnxqs
 */

package com.pcloud.common.core.constant;

/**
 * //TODO 添加类/接口功能描述.
 * 
 * @author xnxqs
 */
public enum MessageAppliedStatus {
    START(0, "开始处理"), FINISH(1, "处理完成"), ERR(2, "处理失败"), CONNERR(3, "链接失败");
    int code;

    String value;

    private MessageAppliedStatus(int code, String value) {
        this.code = code;
        this.value = value;
    }

    /**
     * @return Returns the code.
     */
    public int getCode() {
        return code;
    }

    /**
     * @param code
     *            The code to set.
     */
    public void setCode(int code) {
        this.code = code;
    }

    /**
     * @return Returns the value.
     */
    public String getValue() {
        return value;
    }

    /**
     * @param value
     *            The value to set.
     */
    public void setValue(String value) {
        this.value = value;
    }

}
